Skip to main content
Storage Management/Data Storage APIs/SAN Storage Related Interfaces
POSTSAN Storage Related InterfacesSince 2.6.0SynchronousAuth Required

Refresh Shared Block Device Capacity

Refresh Shared Block Device Capacity

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidString

    Shared block device UUID. If empty, updates all devices under the shared block storage

  • sharedBlockGroupUuidStringRequired

    Shared block storage UUID

Body Fields

  • systemTagsList

    系统标签。

  • userTagsList

    用户标签。

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. This field is null when the operation succeeds. For details, see error

    • codeStringRequired

      Error code number, a globally unique identifier for the error, e.g. SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed error information

    • elaborationStringRequired

      Reserved field, defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field, defaults to null

    • causeErrorCodeRequired

      Root cause: the source error that caused the current error. If there is no original error, this field is null

  • inventorySharedBlockGroupPrimaryStorageInventoryRequired

    For details, see inventory

    • uuidStringRequired

      Resource UUID, uniquely identifies the resource

    • zoneUuidStringRequired

      Data Center UUID

    • nameStringRequired

      Resource name

    • urlStringRequired

      Unused

    • descriptionStringRequired

      Detailed description of the resource

    • totalCapacityLongRequired

      Total capacity

    • availableCapacityLongRequired

      Available capacity

    • totalPhysicalCapacityLongRequired

      Total physical capacity

    • availablePhysicalCapacityLongRequired

      Available physical capacity

    • systemUsedCapacityLongRequired

      System used capacity

    • typeStringRequired

      Data storage type

      • nameStringRequired

        Resource name

      • ordinalintRequired

        No description provided.

    • stateStringRequired

      Enabled state

      • nameStringRequired

        Resource name

      • ordinalintRequired

        No description provided.

    • statusStringRequired

      Connection status

      • nameStringRequired

        Resource name

      • ordinalintRequired

        No description provided.

    • mountPathStringRequired

      Unused

    • createDateTimestampRequired

      Create date

    • lastOpDateTimestampRequired

      Last update date

    • attachedClusterUuidsListRequired

      Attached clusters

    • sharedBlocksListRequired

      For details, see sharedBlocks

      • uuidStringRequired

        Resource UUID, uniquely identifies the resource

      • sharedBlockGroupUuidStringRequired

        Shared block device group UUID

      • diskUuidStringRequired

        Disk unique identifier (e.g. UUID, WWN, WWID)

      • nameStringRequired

        Resource name

      • descriptionStringRequired

        Detailed description of the resource

      • createDateTimestampRequired

        Create date

      • lastOpDateTimestampRequired

        Last update date

      • typeSharedBlockTypeRequired

        For details, see type

        • nameStringRequired

          Resource name

        • ordinalintRequired

          No description provided.

      • stateSharedBlockStateRequired

        For details, see state

        • nameStringRequired

          Resource name

        • ordinalintRequired

          No description provided.

      • statusSharedBlockStatusRequired

        For details, see status

        • nameStringRequired

          Resource name

        • ordinalintRequired

          No description provided.

    • sharedBlockGroupTypeSharedBlockGroupTypeRequired

      For details, see sharedBlockGroupType

      • nameStringRequired

        Resource name

      • ordinalintRequired

        No description provided.

Endpoint

POST/zstack/v1/primary-storage/sharedblockgroup/{sharedBlockGroupUuid}/sharedblocks/{uuid}

/zstack/v1/primary-storage/sharedblockgroup/{sharedBlockGroupUuid}/sharedblocks/{uuid}

Operation ID

RefreshSharedblockDeviceCapacity

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/primary-storage/sharedblockgroup/{sharedBlockGroupUuid}/sharedblocks/{uuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "sharedBlocks": [ { "uuid": "fd474b5a711f3bcab14061e1507b0691", "sharedBlockGroupUuid": "9f900d7cc336370da2dccdd832a1613d", "type": "LvmLogicalVolumeBasic", "diskUuid": "b9bec04964ab30a7bf80bdbf7ec997d9", "name": "test shared block", "description": "description", "state": "Enabled", "status": "Connected", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "sharedBlockGroupType": "LvmVolumeGroupBasic", "uuid": "9f900d7cc336370da2dccdd832a1613d", "name": "shared block group primary storage", "description": "shared block group primary storage description", "availableCapacity": 1.073741824E9, "availablePhysicalCapacity": 1.073741824E9, "type": "SharedBlock", "state": "Enabled", "status": "Connected", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }

Change History

This API has no change history records yet.

View all change history